Bug 1571123 - Respin 7.5.1
Summary: Respin 7.5.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa-server-container
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Vobornik
QA Contact: Nikhil Dehadrai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 07:08 UTC by Standa Laznicka
Modified: 2018-05-14 19:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 19:26:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1444 0 None None None 2018-05-14 19:26:59 UTC

Description Standa Laznicka 2018-04-24 07:08:22 UTC
Regular respin

Comment 3 Nikhil Dehadrai 2018-05-02 08:18:31 UTC
# atomic host status
 Version: 7.5.1 (2018-04-19 14:39:11)

ipa-server-docker-image:
ipa-server-docker-4.5.4-5

sssd-container-image:
sssd-docker-7.5-8

ipa-server :
ipa-server-4.5.4-10.el7_5.1.x86_64

ipa-client:
ipa-client-4.5.4-10.el7_5.1.x86_64

Tested the bug with following scenarios:
1. Verified that IPA-server is installed through ipa-docker image.
2. Verified that IPA-replica is installed through ipa-docker image.
3. Verified that klist command works both on ipa-server/ipa-replica configured through ipa-docker image.
4. Verified that 2-way trust can be setup with windows AD with IPA-server configured through ipa-docker image.
5. Verified that IPA-client(type1) configured with sssd-container image can be setup against this IPA-server.
6. Verified that IPA-client(type2) configured with sssd-container image can be setup against this IPA-server.
- Updated observations at
https://bugzilla.redhat.com/show_bug.cgi?id=1572249#c11
https://bugzilla.redhat.com/show_bug.cgi?id=1572262#c6

7. Verified that RHEL(rpm) IPA-client can be setup against this IPA-server.
8. Verified that RHEL(rpm) IPA-Replica can be setup against this IPA-server configurred using ipa-docker image.
9. Verified that sudo rules work for IPA-server installed through ipa-docker image.
10. Verified that latest version of ipa-server is available with ipa-docker image.
11. Verified that IPA-server/Replica UI us accessible when it is installed through ipa-docker image.
12. Verified that command ipa-adtrust-install is successful.
13. Verified that ipa-kra-install is successful.
14. Verified that ipa-vault-add, ipa vault-archive and ipa-retrieve run successfully.
15. Verified that SUBCA setup run successfully.
16. Verified that IPA-server/ IPA-replica server can be uninstalled.

Comment 4 Nikhil Dehadrai 2018-05-09 07:19:43 UTC
Logged bug for ipa-server uninstall related issue:

https://bugzilla.redhat.com/show_bug.cgi?id=1576285

Comment 5 Nikhil Dehadrai 2018-05-10 10:39:32 UTC
#
atomic-host-version:
Version: 7.5.1 (2018-05-08 16:36:53)
#
ipa-server-docker-image:
ipa-server-docker-4.5.4-6
#
sssd-container-image:
sssd-docker-7.5-9
#
ipa-server :
ipa-server-4.5.4-10.el7_5.1.x86_64
#
ipa-client:
ipa-client-4.5.4-10.el7_5.1.x86_64
#
Verified the bug with following scenarios:
1. Verified that IPA-server is installed through ipa-docker image.
2. Verified that IPA-replica is installed through ipa-docker image.
3. Verified that klist command works both on ipa-server/ipa-replica configured through ipa-docker image.
4. Verified that 2-way trust can be setup with windows AD with IPA-server configured through ipa-docker image.
5. Verified that IPA-client(type1) configured with sssd-container image can be setup against this IPA-server.
6. Verified that IPA-client(type2) configured with sssd-container image can be setup against this IPA-server.
- For observations related to uninstall, separate bugs are logged and updated at:
https://bugzilla.redhat.com/show_bug.cgi?id=1572249#c11
https://bugzilla.redhat.com/show_bug.cgi?id=1572262#c6

7. Verified that RHEL(rpm) IPA-client can be setup against this IPA-server.
8. Verified that RHEL(rpm) IPA-Replica can be setup against this IPA-server configurred using ipa-docker image.
9. Verified that sudo rules work for IPA-server installed through ipa-docker image.
10. Verified that latest version of ipa-server is available with ipa-docker image.
11. Verified that IPA-server/Replica UI us accessible when it is installed through ipa-docker image.
12. Verified that command ipa-adtrust-install is successful.
13. Verified that ipa-kra-install is successful.
14. Verified that ipa-vault-add, ipa vault-archive and ipa-retrieve run successfully.
15. Verified that SUBCA setup run successfully.
16. Verified that IPA-server/ IPA-replica server can be uninstalled successfully. 
For observation related to un-installation logged a separate bug: https://bugzilla.redhat.com/show_bug.cgi?id=1576285.

Comment 7 Nikhil Dehadrai 2018-05-11 06:17:50 UTC
Based on above observations in comment#5 and comment#6, marking the status of bug to 'Verified'

Comment 10 errata-xmlrpc 2018-05-14 19:26:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1444


Note You need to log in before you can comment on or make changes to this bug.